aboutsummaryrefslogtreecommitdiff
path: root/scripts/assert-nixfmt.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/assert-nixfmt.sh20
1 files changed, 6 insertions, 14 deletions
diff --git a/scripts/assert-nixfmt.sh b/scripts/assert-nixfmt.sh
index 7a68fa9..761c1e2 100755
--- a/scripts/assert-nixfmt.sh
+++ b/scripts/assert-nixfmt.sh
@@ -1,16 +1,8 @@
-#!/usr/bin/env bash
-set -Eeuo pipefail
-cd "$(dirname "${BASH_SOURCE[0]}")"
-cd ../
+#!/bin/sh -eux
-format() {
- nix_file="${1}"
- diff <(nixfmt < "${nix_file}") "${nix_file}" || {
- echo "The file '${nix_file}' is unformatted. To fix it, run:"
- echo " nixfmt ${nix_file}"
- exit 1
- }
+# shellcheck disable=2094
+nixfmt < default.nix | diff - default.nix || {
+ echo 'The file default.nix is unformatted. To fix it, run:'
+ echo ' nixfmt default.nix'
+ exit 1
}
-export -f format
-
-find . -type f -name '*.nix' -print0 | xargs -0 -I% bash -c "format %"